View Issue Details

IDProjectCategoryView StatusLast Update
0000045After The Collapse[All Projects] Generalpublic2018-12-12 21:39
ReporterEsKaAssigned ToEsKa 
PrioritylowSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
PlatformPC OSWindows 10OS VersionLatest (EsKa)
Product Version0.4 - Early Access 
Target Version0.5 - Early AccessFixed in Version0.5 - Early Access 
Summary0000045: Lighting, walls and multi-scene handling
DescriptionPenumbra's light and wall system is not scene based, it's world based and given we can't have multiple penumbra classes, it's going to collide with the game rendering when handling multiple scenes. While there's a work-around in place to manage the fake expedition scene, it's still going to be a problem long term.

Possible solution:
1) Each scene store it's own wall/light lists
2) When ActiveScene is changed, we clear penumbra's data and load our list of lights and walls

It shouldn't be much of a problem in itself, but i expect edge cases.
TagsNo tags attached.

Activities

EsKa

2018-12-12 21:39

administrator   ~0000081

The heavy work is done, some lights don't get updated until something move somewhere but it's minor.

Issue History

Date Modified Username Field Change
2018-09-14 00:13 EsKa New Issue
2018-09-14 00:13 EsKa Status new => assigned
2018-09-14 00:13 EsKa Assigned To => EsKa
2018-09-14 21:57 EsKa Target Version => 0.5 - Early Access
2018-09-25 20:06 EsKa Product Version => 0.4 - Early Access
2018-11-09 21:09 EsKa Severity major => feature
2018-12-12 21:39 EsKa Status assigned => resolved
2018-12-12 21:39 EsKa Resolution open => fixed
2018-12-12 21:39 EsKa Fixed in Version => 0.5 - Early Access
2018-12-12 21:39 EsKa Note Added: 0000081